import { defineComponent as m, useModel as d, watch as c, createElementBlock as p, createCommentVNode as v, openBlock as b, createVNode as a, unref as t } from "vue";
import { useI18n as f } from "vue-i18n";
import { a as n } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
const V = [
  { value: ",", title: "," },
  { value: ";", title: ";" },
  { value: "|", title: "|" },
  { value: "	", title: "tab" }
], x = [
  { value: '"', title: '"' },
  { value: "'", title: "'" }
], _ = [
  { value: "\\", title: "\\" },
  { value: '"', title: '"' }
], g = { key: 0 }, k = /* @__PURE__ */ m({
  __name: "SettingsExportCsv",
  props: {
    modelValue: {},
    modelModifiers: {}
  },
  emits: ["update:modelValue"],
  setup(i) {
    const e = d(i, "modelValue"), { t: o } = f();
    return c(
      e,
      (u) => {
        u || (e.value = {
          delimiter: ",",
          enclosure: '"',
          escape: "\\"
        });
      },
      { immediate: !0 }
    ), (u, l) => e.value ? (b(), p("div", g, [
      a(t(n), {
        modelValue: e.value.delimiter,
        "onUpdate:modelValue": l[0] || (l[0] = (s) => e.value.delimiter = s),
        items: t(V),
        label: t(o)("db-and-reports-ui.settings-export-csv.delimiter"),
        "max-width": "576",
        class: "mb-4"
      }, null, 8, ["modelValue", "items", "label"]),
      a(t(n), {
        modelValue: e.value.enclosure,
        "onUpdate:modelValue": l[1] || (l[1] = (s) => e.value.enclosure = s),
        items: t(x),
        label: t(o)("db-and-reports-ui.settings-export-csv.enclosure"),
        "max-width": "576",
        class: "mb-4"
      }, null, 8, ["modelValue", "items", "label"]),
      a(t(n), {
        modelValue: e.value.escape,
        "onUpdate:modelValue": l[2] || (l[2] = (s) => e.value.escape = s),
        items: t(_),
        label: t(o)("db-and-reports-ui.settings-export-csv.escape"),
        "max-width": "576",
        class: "mb-4"
      }, null, 8, ["modelValue", "items", "label"])
    ])) : v("", !0);
  }
});
function r(i) {
  const e = i;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "db-and-reports-ui": {
          "settings-export-csv": {
            delimiter: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Delimiter" } },
            enclosure: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Enclosure" } },
            escape: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Escape" } }
          }
        }
      },
      "de-DE": {
        "db-and-reports-ui": {
          "settings-export-csv": {
            delimiter: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Trennzeichen" } },
            enclosure: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Begrenzungszeichen" } },
            escape: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Maskierungszeichen" } }
          }
        }
      }
    }
  });
}
typeof r == "function" && r(k);
export {
  k as default
};
